#### D.7.3.3 ImageVariety

Procedure from library `rinvar.lib` (see rinvar_lib).

Usage:
  ImageVariety(ideal I, F [, w]);ideal I; F is a list/ideal, intvec w.

Purpose:
  compute the Zariski closure of the image of the variety of I under the morphism F.

Note:
  if 'I' and 'F' are quasihomogenous w.r.t. 'w' then the Hilbert-driven 'std' is used.

Return:
  polynomial ring over the same ground field, containing the ideal 'imageid'. The variables are Y(1),...,Y(k) where k = size(F) - 'imageid' is the ideal of the Zariski closure of F(X) where X is the variety of I.

Example:

    LIB "rinvar.lib";
    ring B   = 0,(x,y),dp;
    ideal I  = x4 - y4;
    ideal F  = x2, y2, x*y;
    def R = ImageVariety(I, F);
    ==>
    ==> // 'ImageVariety' created a new ring.
    ==> // To see the ring, type (if the name 'R' was assigned to the return valu\
       e):
    ==>      show(R);
    ==> // To access the ideal of the image variety, type
    ==>      setring R;  imageid;
    ==>
    setring R;
    imageid;
    ==> imageid[1]=Y(1)*Y(2)-Y(3)^2
    ==> imageid[2]=Y(1)^2-Y(2)^2
    ==> imageid[3]=Y(2)^3-Y(1)*Y(3)^2

User manual for Singular version 4.4.1, 2025, generated by texi2html.